Package org.codehaus.janino

# Class Java.RvalueMemberType

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.Atom
org.codehaus.janino.Java.Type
org.codehaus.janino.Java.RvalueMemberType

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java`

public static final class Java.RvalueMemberType extends Java.Type
Representation of the first part of a JLS7 15.9 "Qualified class instance creation expression": The "`a.new MyClass`" part of "`a.new MyClass(...)`" expression.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`identifier`
The simple name of the inner type being instantiated.
`final Java.Rvalue`
`rvalue`
The expression that represents the outer instance required for the instantiation of the inner type.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`RvalueMemberType(Location location, Java.Rvalue rvalue, String identifier)`
Notice: The rvalue is not a subordinate object!

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.AtomVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.
`<R, EX extends Throwable>
R`
`accept(Visitor.TypeVisitor<R,EX> visitor)`
Invokes the "`visit...()`" method of `Visitor.TypeVisitor` for the concrete `Java.Type` type.
`String`
`toString()`

### Methods inherited from class org.codehaus.janino.Java.Type

`getEnclosingScope, setEnclosingScope, toType`

### Methods inherited from class org.codehaus.janino.Java.Atom

`toLvalue, toLvalueOrCompileException, toRvalue, toRvalueOrCompileException, toTypeOrCompileException`

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### rvalue

public final Java.Rvalue rvalue
The expression that represents the outer instance required for the instantiation of the inner type.

### identifier

public final String identifier
The simple name of the inner type being instantiated.

## Constructor Details

### RvalueMemberType

public RvalueMemberType(Location location, Java.Rvalue rvalue, String identifier)
Notice: The rvalue is not a subordinate object!

## Method Details

### toString

public String toString()

Specified by:
  `toString` in class `Java.Atom`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.AtomVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Atom`
Invokes the "`visit...()`" method of `Visitor.AtomVisitor` for the concrete `Java.Atom` type.

Specified by:
  `accept` in class `Java.Atom`
Throws:
  `EX`

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.TypeVisitor<R,EX> visitor) throws EX
Description copied from class: `Java.Type`
Invokes the "`visit...()`" method of `Visitor.TypeVisitor` for the concrete `Java.Type` type.

Specified by:
  `accept` in class `Java.Type`
Throws:
  `EX`